package foo.bar;

import java.net.URL;
import java.net.URLClassLoader;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

/**
 * Unit test for simple App.
 */
public class AppTest extends TestCase {
	/**
	 * Create the test case
	 * 
	 * @param testName
	 *            name of the test case
	 */
	public AppTest(String testName) {
		super(testName);
	}

	/**
	 * @return the suite of tests being tested
	 */
	public static Test suite() {
		return new TestSuite(AppTest.class);
	}

	/**
	 * Rigourous Test :-)
	 * @throws Exception 
	 */
	public void testApp() throws Exception {
		assertTrue(true);
		
		Class.forName("foo.bar.MyClass", true, this.getClass().getClassLoader());
		ClassLoader cl = new URLClassLoader(new URL[]{ new URL("file://tmp/bogus/url") }, null);
		boolean classNotFound = false;
		try {
			Class.forName("foo.bar.MyClass", true, cl);
		} catch (ClassNotFoundException e) {
			classNotFound = true;
		}
		assertTrue(classNotFound);
	}
}
